Name:		cwtmp
Version:	3.4
Release:	%mkrel 13
URL:		http://www.armory.com/~spcecdt/
Source0:	ftp://ftp.armory.com/pub/source/%{name}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:		cwtmp-fix-building-with-gcc14.patch
License:	GPLv2
Group:		File tools
Summary:	Clean up utmp & wtmp files (discard entries; fix corruption)

%description
cwtmp compresses a wtmp file by discarding the uninteresting utmp entries
that make up a large fraction of the typical wtmp file.  If no filename is
given, /var/log/wtmp is read.  utmp entries in the file are written to the
output, except entries of type LOGIN_PROCESS, INIT_PROCESS, and EMPTY,
which are skipped.

%prep
%setup -q -c
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}" LIBS="%{ldflags}"

%install
install -m755 %{name} -D %{buildroot}%{_sbindir}/%{name}
install -m644 %{name}.8 -D %{buildroot}%{_mandir}/man8/%{name}.8

%files 
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.4-13.mga10
+ Revision: 2229026
- Mageia 10 Mass Rebuild

* Thu Oct 17 2024 ns80 <ns80> 3.4-12.mga10
+ Revision: 2107758
- try to fix building with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 3.4-11.mga9
+ Revision: 1791817
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 3.4-10.mga8
+ Revision: 1511804
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.4-9.mga7
+ Revision: 1297389
- Mageia 7 Mass Rebuild

* Sun Jan 21 2018 solbu <solbu> 3.4-8.mga7
+ Revision: 1195709
- Make version also appear in tarball, to ease package updates

* Mon Feb 01 2016 umeabot <umeabot> 3.4-7.mga6
+ Revision: 930261
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.4-6.mga5
+ Revision: 742758
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4-5.mga5
+ Revision: 678653
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.4-4.mga4
+ Revision: 503747
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.4-3.mga3
+ Revision: 348524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 3.4-2.mga3
+ Revision: 310370
- spec clean-up
- fix RPM group

* Tue Dec 06 2011 shlomif <shlomif> 3.4-1.mga2
+ Revision: 177363
- imported package cwtmp


* Sun Dec 05 2011 Johnny A. Solbu <solbu@mandriva.org> 3.4-1
* Initial Mageia package

* Sat May 07 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.4-1
+ Revision: 671769
- '-n %%{name}-%%{version}' is default, so ditch it as being redundant
- build with %%optflags & %%ldflags
- cleanups
- imported package cwtmp


* Sat May 07 2011 Johnny A. Solbu <solbu@mandriva.org> 3.4.1mdv2010.0
- Spec cleanup

* Mon Oct 25 2010 Johnny A. Solbu <johnny@solbu.net> 3.4-1mdv
- Initial RPM release
